﻿@model eCommerce.Services.Model.DeliveryOrder
@using eCommerce.Services.Model.Enums

<div class="col-md-3 text-left">
    <h4>
        <img class="margin-right-10" src="/content/assets/images/logo_site.png" alt="Brishka" style="height:40px; margin-top: -15px;margin-bottom: 7px;">
    </h4>
</div>

<table class="table table-responsive table-hover">
    <tbody>
        <tr>
            <th width="20%" class="text-right" nowrap="nowrap">Orden Nro.:</th>
            <td class="text-left">#@Model.OrderId</td>
            <th width="20%" class="text-right" nowrap="nowrap">Entrega Nro.:</th>
            <td class="text-left">#@Model.DeliveryOrderId</td>
        </tr>
        <tr>
            <th width="15%" class="text-right" nowrap="nowrap">Cliente:</th>
            <td width="25%" class="text-left" nowrap="nowrap">@Model.Order.Customer.FullName</td>
            <th width="15%" class="text-right" nowrap="nowrap"></th>
            <td width="25%" class="text-left" nowrap="nowrap"></td>
        </tr>
        <tr>
            <th class="text-right" nowrap="nowrap">Forma de Entrega:</th>
            <td class="text-left" nowrap="nowrap">@string.Format("{0:c2}", Model.Order.DeliveryMethod.Description)</td>
            @if (Model.Order.ShippingCost.HasValue && Model.Order.ShippingCost.Value > 0)
            {
                <th class="text-right" nowrap="nowrap">Costo de entrega:</th>
                <td class="text-left" nowrap="nowrap">$@Model.Order.ShippingCost (ARS)</td>
            }
            else
            {
                <th class="text-right" nowrap="nowrap"></th>
                <td class="text-left" nowrap="nowrap"></td>
            }
            @*<th class="text-right">Moneda:</th>
            <td class="text-left">@(Model.CurrenyId == (int)CurrencyEnum.Peso ? "Pesos" : "Dolares")</td>*@
        </tr>
        @if (Model.Order.DeliveryMethodId == (int)DeliveryMethodEnum.Transporte)
        {
            <tr>
                <th class="text-right" nowrap="nowrap">Empresa de transporte:</th>
                <td class="text-left" nowrap="nowrap">@Model.Order.Customer.ShipmentCompany</td>
                <th class="text-right">Tel. Transporte:</th>
                <td class="text-left">@Model.Order.Customer.ShipmentCompanyTel</td>
            </tr>
            <tr>
                <th class="text-right">Dir. Transporte:</th>
                <td class="text-left">@Model.Order.Customer.ShipmentCompanyAddress</td>
                <th class="text-right"></th>
                <td class="text-left"></td>
            </tr>
        }
        @if (Model.Order.DeliveryMethodId != (int)DeliveryMethodEnum.RetiraEnCentroDeEntrega)
        {
            <tr>
                <th class="text-right" nowrap="nowrap">Dir. de entrega:</th>
                <td class="text-left" colspan="3" nowrap="nowrap">@Model.Order.DeliveryAddress</td>
            </tr>
        }
        
        

        @if (!string.IsNullOrWhiteSpace(Model.Order.Observations))
        {
            <tr>
                <th class="text-right">Observaciones:</th>
                <td class="text-left" colspan="3">@Model.Order.Observations</td>
            </tr>
        }
    </tbody>
</table>




